<?xml version="1.0" encoding="utf-8"?>
<ImControllerSubscription version="2.0" dateCreated="2018-11-14T14:44:35">
    <Service id="7A343344-7E8B-4ACC-9062-941BDE75A1E9" version="1.1.16.0" msVersion="1.1.16.0" downloadLocation="https://filedownload.lenovo.com/enm/sift/core/System-Interface-Foundation-Update-64.exe" msDownloadLocation64="https://filedownload.lenovo.com/enm/sift/core/ms-LenovoSystemInterfaceFoundation-64.cab" downloadLocation32="https://filedownload.lenovo.com/enm/sift/core/Lenovo-System-Interface-Foundation-32.msi" downloadLocation64="https://filedownload.lenovo.com/enm/sift/core/Lenovo-System-Interface-Foundation-64.msi">
        <SettingsList>
            <Setting key="Imc.Telemetry.IsEnabled">true</Setting>
            <Setting key="Imc.Telemetry.Event.IMC-Update-Action.IsEnabled" family="thinkpad x1 carbon*">true</Setting>
            <Setting key="Imc.Telemetry.Event.IMC-Lifecycle-Action.IsEnabled">true</Setting>
            <Setting key="Imc.Telemetry.Event.IMC-Plugin-Activity.IsEnabled" family="thinkpad x1 carbon*">true</Setting>
            <Setting key="Imc.Telemetry.Event.IMC-Update-Action.IsEnabled">false</Setting>
            <Setting key="Imc.Telemetry.Event.IMC-Plugin-Activity.IsEnabled">false</Setting>
            <Setting key="Imc.Events.UsageMonitor.IsEnabled">true</Setting>
            <Setting key="Imc.Events.UsageMonitor.App.FlushIntervalMinutes">720</Setting>
            <Setting key="Imc.Events.UsageMonitor.App.FlushCapacity">500</Setting>
        </SettingsList>
    </Service>
    <PackageList>
        <Package>
            <PackageInformation name="WavesAudioPlugin" version="1.0.34.0" location="WavesAudioPlugin.cab" lastModified="2017-06-13T02:44:03" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.Audio.MaxxAudio">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.AudioProfile" version="1.0.0.0" runas="User" plugin="WavesAudioPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Package.Replacement.Name">DolbyAudioPlugin</Setting>
                <Setting key="ImController.Package.Replacement.MinimumVersion">1.2.184.0</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkTouchPadPlugin" version="1.2.286.0" location="ThinkTouchPadPlugin.cab" lastModified="2018-03-27T00:56:36" customEventMonitor="" msVersion="1.2.286.0" msLocation="ms-ThinkTouchPadPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.PointingDevice" version="1.0.0.0" runas="user" plugin="ThinkTouchPadPlugin" />
            </ContractMappingList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">0</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
            <EventSubscriptionList>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				  <RegistryEventSubscription>
					<RegistryHiveName>HKEY_CURRENT_USER</RegistryHiveName>
					<KeyPath>Software\Synaptics</KeyPath>
					<ValueName></ValueName>
					<MonitorRegTree>true</MonitorRegTree>
				  </RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				  <RegistryEventSubscription>
					<RegistryHiveName>HKEY_CURRENT_USER</RegistryHiveName>
					<KeyPath>Control Panel\Mouse</KeyPath>
					<ValueName></ValueName>
					<MonitorRegTree>true</MonitorRegTree>
				  </RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				  <RegistryEventSubscription>
					<RegistryHiveName>HKEY_CURRENT_USER</RegistryHiveName>
					<KeyPath>SOFTWARE\Elantech\SmartPad</KeyPath>
					<ValueName></ValueName>
					<MonitorRegTree>true</MonitorRegTree>
				  </RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				  <RegistryEventSubscription>
					<RegistryHiveName>HKEY_CURRENT_USER</RegistryHiveName>
					<KeyPath>SOFTWARE\Elantech\PointStick</KeyPath>
					<ValueName></ValueName>
					<MonitorRegTree>true</MonitorRegTree>
				  </RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				  <RegistryEventSubscription>
					<RegistryHiveName>HKEY_CURRENT_USER</RegistryHiveName>
					<KeyPath>SOFTWARE\Alps\Apoint</KeyPath>
					<ValueName></ValueName>
					<MonitorRegTree>true</MonitorRegTree>
				  </RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="SessionChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
                        		<SessionChangeEventSubscription>
                                		<WtsSessionValueList>
                                        		<WtsSessionValue>7</WtsSessionValue>
                                              		<WtsSessionValue>8</WtsSessionValue>
                                  		</WtsSessionValueList>
                          		</SessionChangeEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
        </Package>
        <Package>
            <PackageInformation name="ThinkSmartSensePlugin" version="2.0.0.73" location="ThinkSmartSensePlugin.cab" lastModified="2015-04-06T12:00:00" customEventMonitor="" msVersion="2.0.0.73" msLocation="ms-ThinkSmartSensePlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think" enclosureType="notebook">true</Filter>
                <Filter brand="think" enclosureType="handheld">true</Filter>
                <Filter brand="think" family="*thinkpad*">true</Filter>
                <Filter brand="think" enclosureType="notebook">true</Filter>
                <Filter brand="idea" enclosureType="notebook">true</Filter>
                <Filter brand="idea" enclosureType="handheld">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter brand="lenovo" enclosureType="handheld">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.SmartSense" version="1.0.0.0" runas="user" plugin="ThinkSmartSensePlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkPowerPlugin" version="1.2.301.0" location="ThinkPowerPlugin.cab" lastModified="2018-05-29T03:07:08" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" subbrand="thinkpad">true</Filter>
                <Filter brand="think" family="*thinkpad*">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.Power" version="1.0.0.0" runas="user" plugin="ThinkPowerPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkPowerPackage" packageType="App" version="1.2.311.0" location="ThinkPowerPackage.cab" lastModified="2016-08-31T09:09:06" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" subbrand="thinkpad">true</Filter>
                <Filter brand="think" family="*thinkpad*">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkPicoProjectorPlugin" version="1.2.199.0" location="ThinkPicoProjectorPlugin.cab" lastModified="2017-02-23T03:50:44" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" family="ThinkPad X1 Tablet">true</Filter>
                <Filter brand="think" family="ThinkPad X1 Tablet G2">true</Filter>
                <Filter brand="think" family="ThinkPad X1 Tablet Gen 2">true</Filter>
                <Filter brand="idea">false</Filter>
                <Filter brand="lenovo">false</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="PicoProjectorPlugin.ProjectorSettings" version="1.0.0.0" runas="User" plugin="ThinkPicoProjectorPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkPicoPJInstallerPlugin" version="1.2.252.0" location="ThinkPicoPJInstallerPlugin.cab" lastModified="2018-07-23T02:36:31" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" family="ThinkPad X1 Tablet">true</Filter>
                <Filter brand="think" family="ThinkPad X1 Tablet G2">true</Filter>
                <Filter brand="think" family="ThinkPad X1 Tablet Gen 2">true</Filter>
                <Filter brand="idea">false</Filter>
                <Filter brand="lenovo">false</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
            <EventSubscriptionList>
                <EventSubscription monitor="WindowMessageMonitor" trigger="DeviceChange" runas="System">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
							<DeviceChangeEventSubscription>  
								<DevInterfaceClassGuidList>
									<DevInterfaceClassGuid>a5dcbf10-6530-11d2-901f-00c04fb951ed</DevInterfaceClassGuid>
								</DevInterfaceClassGuidList> 
						</DeviceChangeEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
        </Package>
        <Package>
            <PackageInformation name="ThinkMultimodeDetectPlugin" version="1.2.230.0" location="ThinkMultimodeDetectPlugin.cab" lastModified="2017-08-01T04:43:59" customEventMonitor="" msVersion="1.2.230.0" msLocation="ms-ThinkMultimodeDetectPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think" enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="" version="1.0.0.0" runas="user" plugin="ThinkMultimodeDetectPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange" runas="user">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
       <RegistryEventSubscription>
         <RegistryHiveName>HKEY_LOCAL_MACHINE</RegistryHiveName>
         <KeyPath>SYSTEM\CurrentControlSet\Services\IBMPMSVC\Transform\CurrentStatus</KeyPath>
         <ValueName>MM</ValueName>
       </RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkKeyboardPlugin" version="1.2.137.0" location="ThinkKeyboardPlugin.cab" lastModified="2016-10-14T02:19:09" customEventMonitor="" msVersion="1.2.137.0" msLocation="ms-ThinkKeyboardPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.Keyboard" version="1.0.0.0" runas="user" plugin="ThinkKeyboardPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkIntelligentSensingPackage" packageType="App" version="2.0.0.6" location="ThinkIntelligentSensingPackage.cab" lastModified="2016-05-17T11:38:58" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" enclosureType="notebook">true</Filter>
                <Filter brand="think" enclosureType="handheld">true</Filter>
                <Filter brand="think" family="*thinkpad*">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkHotkeyPackage" packageType="App" version="1.2.44.0" location="ThinkHotkeyPackage.cab" lastModified="2017-08-08T08:13:48" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think">true</Filter>
                <Filter brand="idea">false</Filter>
                <Filter brand="lenovo">false</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Package.DisableUpdate" />
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Package.UpdateRequiresReboot" />
                <Setting key="ImController.Package.InstallRequiresReboot" />
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkDPMPlugin" version="1.2.160.0" location="ThinkDPMPlugin.cab" lastModified="2017-10-12T03:50:36">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" subbrand="thinkcentre">true</Filter>
                <Filter brand="lenovo" subbrand="thinkcentre">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.PowerProfile" version="1.0.0.0" runas="System" plugin="ThinkDPMPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="WindowMessageMonitor" trigger="SessionChange" runas="System">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
					<SessionChangeEventSubscription>
							<WtsSessionValueList>
									<WtsSessionValue>7</WtsSessionValue>
									<WtsSessionValue>8</WtsSessionValue>
							</WtsSessionValueList>
					</SessionChangeEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange" runas="System">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				<RegistryEventSubscription>
				<RegistryHiveName>HKEY_LOCAL_MACHINE</RegistryHiveName>
				<KeyPath>SOFTWARE\Lenovo\DPMPlugin\Scheduler</KeyPath>
				<ValueName>ShutDown</ValueName> 
				</RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange" runas="System">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				<RegistryEventSubscription>
				<RegistryHiveName>HKEY_LOCAL_MACHINE</RegistryHiveName>
				<KeyPath>SOFTWARE\Lenovo\DPMPlugin\Scheduler</KeyPath>
				<ValueName>SetMonitorBrightness</ValueName> 
				</RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange" runas="System">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				<RegistryEventSubscription>
				<RegistryHiveName>HKEY_LOCAL_MACHINE</RegistryHiveName>
				<KeyPath>SOFTWARE\Lenovo\DPMPlugin\Scheduler</KeyPath>
				<ValueName>SwitchPowerPlan</ValueName> 
				</RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange" runas="System">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				<RegistryEventSubscription>
				<RegistryHiveName>HKEY_LOCAL_MACHINE</RegistryHiveName>
				<KeyPath>SOFTWARE\Lenovo\DPMPlugin\Scheduler</KeyPath>
				<ValueName>IdleMonitor</ValueName> 
				</RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkBatteryStretchPlugin" version="1.2.138.0" location="ThinkBatteryStretchPlugin.cab" lastModified="2016-10-14T04:52:39" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" subbrand="thinkpad">true</Filter>
                <Filter brand="think" family="*thinkpad*">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.BatteryStretch" version="1.0.0.0" runas="user" plugin="ThinkBatteryStretchPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkBatteryPlugin" version="1.2.300.0" location="ThinkBatteryPlugin.cab" lastModified="2018-05-09T05:18:38" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" subbrand="thinkpad">true</Filter>
                <Filter brand="think" family="*thinkpad*">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemInformation.Battery" version="1.0.0.0" runas="user" plugin="ThinkBatteryPlugin" />
                <ContractMapping name="SystemManagement.BatteryMgmt" version="1.0.0.0" runas="user" plugin="ThinkBatteryPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkAPSPlugin" version="1.2.265.0" location="ThinkAPSPlugin.cab" lastModified="2017-07-02T22:59:12" customEventMonitor="" msVersion="1.2.265.0" msLocation="ms-ThinkAPSPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think" enclosureType="notebook">true</Filter>
                <Filter brand="idea" enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.APS" version="1.0.0.0" runas="user" plugin="ThinkAPSPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkAPSPackage" packageType="App" version="2.0.0.11" location="ThinkAPSPackage.cab" lastModified="2016-05-17T11:38:58" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" enclosureType="notebook">true</Filter>
                <Filter brand="think" family="ThinkPad X1 Tablet">false</Filter>
                <Filter brand="think" family="ThinkPad X1 Tablet G2">false</Filter>
                <Filter brand="think" family="ThinkPad X1 Tablet Gen 2">false</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ThinkActivePenPlugin" version="1.2.291.0" location="ThinkActivePenPlugin.cab" lastModified="2018-04-05T08:40:38" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think">true</Filter>
                <Filter brand="idea">true</Filter>
                <Filter brand="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="ActivePenPlugin.PenBatteryStatus" version="1.0.0.0" runas="user" plugin="ThinkActivePenPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoWiFiSecurityPlugin" version="1.2.95.3" location="LenovoWiFiSecurityPlugin.cab" lastModified="2018-06-01T11:54:11">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter manufacturer="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.WiFiSecurity" version="1.0.0.0" runas="user" plugin="LenovoWiFiSecurityPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login">
                    <Parameter><![CDATA[  ]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WlanMonitor" trigger="msm-Connected">
                    <Parameter><![CDATA[]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WlanMonitor" trigger="msm-Disconnected">
                    <Parameter><![CDATA[]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Uap">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoVisionProtectionPlugin" version="1.2.87.2" location="LenovoVisionProtectionPlugin.cab" lastModified="2017-03-02T14:25:02" customEventMonitor="" msVersion="1.2.86.22" msLocation="ms-LenovoVisionProtectionPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.VisionProtection" version="1.0.0.0" runas="user" plugin="LenovoVisionProtectionPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="PowerChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			<PowerBroadcastEventSubscription>
				<PbtValueList>
					<PbtValue>18</PbtValue>
				</PbtValueList>
				<PowerSettingGuidList />
			</PowerBroadcastEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="AppMonitor" trigger="InstallUninstall">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>	
			<AppMonitorSubscription>	
				<AppEventList>
					<AppEvent event="Uninstall" pfn="E046963F.LenovoCompanion_k1h2ywk1493x8" />
					<AppEvent event="Uninstall" pfn="E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8" />					
				</AppEventList>
			</AppMonitorSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">0</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoSystemUpdatePlugin" version="2.0.0.34" location="LenovoSystemUpdatePlugin.cab" lastModified="2015-08-04T14:54:00" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think">true</Filter>
                <Filter brand="idea">true</Filter>
                <Filter brand="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemOptimization.SystemUpdate" version="1.0.0.0" runas="system" plugin="LenovoSystemUpdatePlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange" runas="system">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				<RegistryEventSubscription>
				<RegistryHiveName>HKEY_LOCAL_MACHINE</RegistryHiveName>
				<KeyPath>SOFTWARE\Lenovo\SystemUpdatePlugin\Scheduler</KeyPath>
        <ValueName>start</ValueName> 
			</RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange" runas="system">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				<RegistryEventSubscription>
				<RegistryHiveName>HKEY_LOCAL_MACHINE</RegistryHiveName>
				<KeyPath>Software\Policies\Lenovo\E046963F.LenovoCompanion_k1h2ywk1493x8</KeyPath>
        <ValueName>70E80D9F_37C7_4C93_8C68_3EB61E57D2EE</ValueName> 
			</RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange" runas="system">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				<RegistryEventSubscription>
				<RegistryHiveName>HKEY_LOCAL_MACHINE</RegistryHiveName>
				<KeyPath>Software\Policies\Lenovo\E046963F.LenovoCompanion_k1h2ywk1493x8</KeyPath>
        <ValueName>F939BA69-B60B-4095-8E8D-7A7D916E0B63</ValueName> 
			</RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login" runas="system">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.SkipSuspendTermination">1</Setting>
                <Setting key="ImController.Association.Device" />
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoSpectrumPlugin" version="1.2.312.0" location="LenovoSpectrumPlugin.cab" lastModified="2018-10-22T22:18:06" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think" family="thinkpad x1 carbon 4th">true</Filter>
                <Filter brand="think" family="thinkpad x1 yoga*">true</Filter>
                <Filter brand="think" family="thinkpad e560p">true</Filter>
                <Filter brand="think" family="thinkpad s5">true</Filter>
                <Filter brand="think" family="thinkpad s5 2nd gen">true</Filter>
                <Filter brand="think" family="thinkpad x1 carbon 6th">true</Filter>
                <Filter brand="think" family="thinkpad x1 extreme">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.Spectrum" version="1.0.0.0" runas="user" plugin="LenovoSpectrumPlugin" />
            </ContractMappingList>
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="PowerChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			<PowerBroadcastEventSubscription>
				<PbtValueList>
					<PbtValue>18</PbtValue>
				</PbtValueList>
				<PowerSettingGuidList />
			</PowerBroadcastEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
        </Package>
        <Package>
            <PackageInformation name="LenovoSettingsAppPlugin" version="1.2.129.0" location="LenovoSettingsAppPlugin.cab" lastModified="2017-09-08T01:06:17">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.LenovoSettingsApp" version="1.0.0.0" runas="user" plugin="LenovoSettingsAppPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoPhoneConnectPlugin" version="1.0.0.74" location="LenovoPhoneConnectPlugin.cab" lastModified="2017-11-10T13:08:50" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login" runas="system">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">1</Setting>
                <Setting key="ImController.Association.Device" />
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoPaperDisplayPlugin" version="1.2.256.0" location="LenovoPaperDisplayPlugin.cab" lastModified="2018-01-15T05:51:12" customEventMonitor="" msVersion="1.2.256.0" msLocation="ms-LenovoPaperDisplayPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="idea">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.PaperDisplay" version="1.0.0.0" runas="user" plugin="LenovoPaperDisplayPlugin" />
            </ContractMappingList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">1</Setting>
                <Setting key="ImController.Privilege.SkipSuspendTermination">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
        </Package>
        <Package>
            <PackageInformation name="LenovoMobileHotspotPlugin" version="1.2.76.0" location="LenovoMobileHotspotPlugin.cab" lastModified="2016-08-17T23:51:21" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.MobileHotspot" version="1.0.0.0" runas="system" plugin="LenovoMobileHotspotPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoKBDManagerPlugin" version="1.2.262.0" location="LenovoKBDManagerPlugin.cab" lastModified="2018-09-05T03:47:36" customEventMonitor="" msVersion="1.2.239.0" msLocation="ms-LenovoKBDManagerPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.KBDManager" version="1.0.0.0" runas="user" plugin="LenovoKBDManagerPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoHardwareScanPlugin" version="1.0.35.0" location="LenovoHardwareScanPlugin.cab" lastModified="2018-01-16T11:00:30" customEventMonitor="" msVersion="1.0.35.0" msLocation="ms-LenovoHardwareScanPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think">true</Filter>
                <Filter brand="idea">true</Filter>
                <Filter brand="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.HardwareScan.General" version="1.0.0.0" runas="system" plugin="LenovoHardwareScanPlugin" />
                <ContractMapping name="SystemManagement.HardwareScan.CPU" version="1.0.0.0" runas="system" plugin="LenovoHardwareScanPlugin" />
                <ContractMapping name="SystemManagement.HardwareScan.Fan" version="1.0.0.0" runas="system" plugin="LenovoHardwareScanPlugin" />
                <ContractMapping name="SystemManagement.HardwareScan.Memory" version="1.0.0.0" runas="system" plugin="LenovoHardwareScanPlugin" />
                <ContractMapping name="SystemManagement.HardwareScan.Motherboard" version="1.0.0.0" runas="system" plugin="LenovoHardwareScanPlugin" />
                <ContractMapping name="SystemManagement.HardwareScan.PCIExpress" version="1.0.0.0" runas="system" plugin="LenovoHardwareScanPlugin" />
                <ContractMapping name="SystemManagement.HardwareScan.RAID" version="1.0.0.0" runas="system" plugin="LenovoHardwareScanPlugin" />
                <ContractMapping name="SystemManagement.HardwareScan.Storage" version="1.0.0.0" runas="system" plugin="LenovoHardwareScanPlugin" />
                <ContractMapping name="SystemManagement.HardwareScan.Wireless" version="1.0.0.0" runas="system" plugin="LenovoHardwareScanPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoGamingUserPlugin" version="1.0.4.22" location="LenovoGamingUserPlugin.cab" lastModified="2017-12-22T14:16:37" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter family="Legion Y73015ICH">true</Filter>
                <Filter family="Legion Y9000">true</Filter>
                <Filter family="Legion Y73015ICHg">true</Filter>
                <Filter family="Legion Y9000g">true</Filter>
                <Filter family="Legion Y73017ICH">true</Filter>
                <Filter family="Legion Y900017">true</Filter>
                <Filter family="Legion Y73017ICHg">true</Filter>
                <Filter family="Legion Y9000g17">true</Filter>
                <Filter family="Legion Y53015ICH">true</Filter>
                <Filter family="Rescuer Y7000">true</Filter>
                <Filter family="Rescuer Y7000P">true</Filter>
                <Filter family="Legion Y7000P">true</Filter>
                <Filter family="Legion C53019ICB">true</Filter>
                <Filter family="Legion T53028ICB">true</Filter>
                <Filter family="Legion T53028APR">true</Filter>
                <Filter family="Legion C73019ICO">true</Filter>
                <Filter family="Legion T73028ICO">true</Filter>
                <Filter family="Legion Y74015ICH">true</Filter>
                <Filter family="Legion Y9000P 2019">true</Filter>
                <Filter family="Legion Y74015ICHg">true</Filter>
                <Filter family="Legion Y74017ICH">true</Filter>
                <Filter family="Legion Y74017ICHg">true</Filter>
                <Filter family="Legion Y9000K 2019">true</Filter>
                <Filter family="Legion Y53015ICH1060">true</Filter>
                <Filter family="Legion Y70001060">true</Filter>
                <Filter family="Legion Y7000P1060">true</Filter>
                <Filter tag="System.Profile.Gaming">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="Gaming.GameUserCommon" version="1.0.0.0" runas="user" plugin="LenovoGamingUserPlugin" />
                <ContractMapping name="Gaming.Hardwareinfo" version="1.0.0.0" runas="user" plugin="LenovoGamingUserPlugin" />
                <ContractMapping name="Gaming.GameRecorder" version="1.0.0.0" runas="user" plugin="LenovoGamingUserPlugin" />
                <ContractMapping name="Gaming.MagicYKey" version="1.0.0.0" runas="user" plugin="LenovoGamingUserPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Device" />
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoGamingSystemPlugin" version="1.0.4.22" location="LenovoGamingSystemPlugin.cab" lastModified="2017-12-22T14:15:27" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter family="Legion Y73015ICH">true</Filter>
                <Filter family="Legion Y9000">true</Filter>
                <Filter family="Legion Y73015ICHg">true</Filter>
                <Filter family="Legion Y9000g">true</Filter>
                <Filter family="Legion Y73017ICH">true</Filter>
                <Filter family="Legion Y900017">true</Filter>
                <Filter family="Legion Y73017ICHg">true</Filter>
                <Filter family="Legion Y9000g17">true</Filter>
                <Filter family="Legion Y53015ICH">true</Filter>
                <Filter family="Rescuer Y7000">true</Filter>
                <Filter family="Rescuer Y7000P">true</Filter>
                <Filter family="Legion Y7000P">true</Filter>
                <Filter family="Legion C53019ICB">true</Filter>
                <Filter family="Legion T53028ICB">true</Filter>
                <Filter family="Legion T53028APR">true</Filter>
                <Filter family="Legion C73019ICO">true</Filter>
                <Filter family="Legion T73028ICO">true</Filter>
                <Filter family="Legion Y74015ICH">true</Filter>
                <Filter family="Legion Y9000P 2019">true</Filter>
                <Filter family="Legion Y74015ICHg">true</Filter>
                <Filter family="Legion Y74017ICH">true</Filter>
                <Filter family="Legion Y74017ICHg">true</Filter>
                <Filter family="Legion Y9000K 2019">true</Filter>
                <Filter family="Legion Y53015ICH1060">true</Filter>
                <Filter family="Legion Y70001060">true</Filter>
                <Filter family="Legion Y7000P1060">true</Filter>
                <Filter tag="System.Profile.Gaming">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="Gaming.GameSystemCommon" version="1.0.0.0" runas="system" plugin="LenovoGamingSystemPlugin" />
                <ContractMapping name="Gaming.FanCooling" version="1.0.0.0" runas="system" plugin="LenovoGamingSystemPlugin" />
                <ContractMapping name="Gaming.Locker" version="1.0.0.0" runas="system" plugin="LenovoGamingSystemPlugin" />
                <ContractMapping name="Gaming.OverClock" version="1.0.0.0" runas="system" plugin="LenovoGamingSystemPlugin" />
                <ContractMapping name="Gaming.LedSettings" version="1.0.0.0" runas="system" plugin="LenovoGamingSystemPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login" runas="system">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">1</Setting>
                <Setting key="ImController.Privilege.SkipSuspendTermination">1</Setting>
                <Setting key="ImController.Association.Device" />
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoFirstRunExperiencePackage" packageType="App" version="2.0.0.36" location="LenovoFirstRunExperiencePackage.cab" lastModified="2017-09-07T14:01:10" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter country="CN">false</Filter>
                <Filter brand="think">false</Filter>
                <Filter manufacturer="lenovo" tag="System.Os.OobeWeek|false">false</Filter>
                <Filter manufacturer="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoDeviceMetricsPlugin" version="2.9.0.1" location="LenovoDeviceMetricsPlugin.cab" lastModified="2016-09-01T21:30:12" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter tag="DeviceMetricsPlugin.Enablement">true</Filter>
                <Filter family="thinkpad edge*">false</Filter>
                <Filter family="thinkpad e*">true</Filter>
                <Filter brand="idea">true</Filter>
                <Filter brand="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="TimeBasedMonitor" trigger="TimeBaseChange" runas="User">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
<TimeBasedEventSubscription>
<FriendlyName>RunDailyEvent</FriendlyName>
<OOBEProximity>false</OOBEProximity>
<RepeatIntervalUnit>Daily</RepeatIntervalUnit>
<RepeatInterval>1</RepeatInterval>
</TimeBasedEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="UsageMonitor" trigger="App">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login" runas="User">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.CustomKeepAlive">1</Setting>
                <Setting key="ImController.Privilege.SkipSuspendTermination">1</Setting>
                <Setting key="ImController.Association.Device" />
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoContextEnginePlugin" version="3.0.0.15" location="LenovoContextEnginePlugin.cab" lastModified="2017-03-20T13:03:20" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter country="US" language="en">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.ContextEngine" version="1.0.0.0" runas="user" plugin="LenovoContextEnginePlugin" />
            </ContractMappingList>
            <SettingList>
                <Setting key="ImController.Association.Uap" appversion="4.8.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="SessionChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
		              <SessionChangeEventSubscription>
			              <WtsSessionValueList>
				              <WtsSessionValue>1</WtsSessionValue>
				              <WtsSessionValue>5</WtsSessionValue>
			              </WtsSessionValueList>
		              </SessionChangeEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="PowerChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
		              <PowerBroadcastEventSubscription><PbtValueList>
		              <PbtValue>18</PbtValue>
		              </PbtValueList><PowerSettingGuidList />
		              </PowerBroadcastEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
        </Package>
        <Package>
            <PackageInformation name="LenovoCompanionAppPlugin" version="2.1.0.42" location="LenovoCompanionAppPlugin.cab" lastModified="2018-09-03T15:51:23" customEventMonitor="" msVersion="2.0.0.37" msLocation="ms-LenovoCompanionAppPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter manufacturer="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemInformation.SupportDocuments" version="1.0.0.0" runas="user" plugin="LenovoCompanionAppPlugin" />
                <ContractMapping name="SystemInformation.SecurityCenter" version="1.0.0.0" runas="user" plugin="LenovoCompanionAppPlugin" />
            </ContractMappingList>
            <SettingList>
                <Setting key="ImController.Package.DisabledVersion">2.1.0.41</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.TryHardwareScan.IsEnabled">true</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.CheckWhatsNew.IsEnabled">true</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.CheckForSystemUpdates.IsEnabled">true</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.CheckArticles.IsEnabled">true</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.DeviceRefresh.IsEnabled">true</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.LenovoID.IsEnabled">true</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.Sweepstakes.IsEnabled">true</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.Warranty.Intervals">5,30,90</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.AlexaTargetedDrivers">{"drivers":[{"deviceName":"Intel Smart Sound Technology Audio Controller &amp; OED","hardwareId":"INTELAUDIO\\DSP_CTLR_DEV_9D71&amp;VEN_8086&amp;DEV_0222*","version":"9.21.0.3347","supportMachineList":"ThinkPad X1 Carbon 6th, ThinkPad X1 Yoga 3rd, ThinkPad X1 Tablet Gen 3"},{"deviceName":"Realtek High Definition Audio","hardwareId":"INTELAUDIO\\FUNC_01&amp;VEN_10EC&amp;DEV_0285&amp;*, INTELAUDIO\\FUNC_01&amp;VEN_10EC&amp;DEV_0295&amp;*","version":"6.0.1.8365","supportMachineList":"ThinkPad X1 Carbon 6th, ThinkPad X1 Yoga 3rd, ThinkPad X1 Tablet Gen 3"},{"deviceName":"Intel Smart Sound Technology Audio Controller","hardwareId":"PCI\\VEN_8086&amp;DEV_9D71&amp;SUBSYS_383117AA","version":"9.21.0.3690","supportMachineList":"YOGA C93013IKB, YOGA C93013IKB Glass"},{"deviceName":"Realtek High Definition Audio","hardwareId":"INTELAUDIO\\FUNC_01&amp;VEN_10EC&amp;DEV_0298&amp;SUBSYS_17AA3812","version":"6.0.1.8504","supportMachineList":"YOGA C93013IKB, YOGA C93013IKB Glass"}]}</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.AlexaTargetedSystems">ThinkPad X1 Carbon 6th, ThinkPad X1 Yoga 3rd, ThinkPad X1 Tablet Gen 3, YOGA C93013IKB, YOGA C93013IKB Glass</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.AlexaTargetedLanguages">en</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.AlexaTargetedCountries">us</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.AlexaTargetedBIOS">N23ET46W, N25ET30W, N1ZET60W, 8GCN30WW, 8GCN30WW</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.AlexaMessageFrequency">2</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.AlexaToastMessageGapInDays">7</Setting>
                <Setting key="LenovoCompanionAppPlugin.Notifications.AlexaSupportedOSVersion">6.3.17133</Setting>
                <Setting key="LenovoCompanionAppPlugin.AppEvents.InstallUninstall">ThinkPowerPlugin, LenovoAppScenarioPlugin, LenovoVisionProtectionPlugin, IdeaNotebookPlugin, LenovoGamingSystemPlugin, GenericDisplayPlugin, LenovoCameraPlugin</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
            <EventSubscriptionList>
                <EventSubscription monitor="TimeBasedMonitor" trigger="TimeBaseChange" runas="User">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
        <TimeBasedEventSubscription>
          <FriendlyName>RunDailyEvent</FriendlyName>
          <OOBEProximity>false</OOBEProximity>
          <RandomDelay>PT10H</RandomDelay>
          <RepeatIntervalUnit>Daily</RepeatIntervalUnit>
          <RepeatInterval>1</RepeatInterval>
          <StartDateTime>2016-01-31T08:00:10</StartDateTime>
        </TimeBasedEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="AppMonitor" trigger="InstallUninstall">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			<AppMonitorSubscription>
				<AppEventList>
					<AppEvent event="Install" pfn="E046963F.LenovoCompanion_k1h2ywk1493x8" />
					<AppEvent event="Uninstall" pfn="E046963F.LenovoCompanion_k1h2ywk1493x8" /> 
					<AppEvent event="Install" pfn="E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8" />
					<AppEvent event="Uninstall" pfn="E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8" /> 
				</AppEventList>
			</AppMonitorSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
        </Package>
        <Package>
            <PackageInformation name="LenovoCameraPlugin" version="1.2.233.3" location="LenovoCameraPlugin.cab" lastModified="2017-04-12T11:33:33" msVersion="1.2.233.3" msLocation="ms-LenovoCameraPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think">true</Filter>
                <Filter brand="idea">true</Filter>
                <Filter brand="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.Camera" version="1.0.0.0" runas="user" plugin="LenovoCameraPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="WindowMessageMonitor" trigger="SessionChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>

	        <SessionChangeEventSubscription>

                   <WtsSessionValueList>

                      <WtsSessionValue>1</WtsSessionValue>

                      <WtsSessionValue>5</WtsSessionValue>

                   </WtsSessionValueList>

                </SessionChangeEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="PowerChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			<PowerBroadcastEventSubscription>
				<PbtValueList>
					<PbtValue>18</PbtValue>
				</PbtValueList>
				<PowerSettingGuidList />
			</PowerBroadcastEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoBatteryGaugePackage" packageType="App" version="1.0.110.26" location="LenovoBatteryGaugePackage.cab" lastModified="2018-06-20T10:23:23">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" subbrand="thinkpad">true</Filter>
                <Filter brand="think" family="*thinkpad*">true</Filter>
                <Filter brand="idea" subbrand="ideapad">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter brand="idea" enclosureType="notebook">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoAuthenticationPlugin" version="1.2.88.0" location="LenovoAuthenticationPlugin.cab" lastModified="2017-07-06T05:07:57" customEventMonitor="" msVersion="1.2.88.0" msLocation="ms-LenovoAuthenticationPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think">true</Filter>
                <Filter brand="idea">true</Filter>
                <Filter brand="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="LenovoAuthenticationPlugin" version="1.0.0.0" runas="system" plugin="LenovoAuthenticationPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login" runas="system">
                    <Parameter><![CDATA[  ]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="PowerChange" runas="System">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			  <PowerBroadcastEventSubscription>
				<PbtValueList>
          <PbtValue>18</PbtValue>
				</PbtValueList>
				<PowerSettingGuidList />
			  </PowerBroadcastEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Device" />
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoAudioPlugin" version="1.2.232.34" location="LenovoAudioPlugin.cab" lastModified="2017-04-12T11:34:00" msVersion="1.2.232.34" msLocation="ms-LenovoAudioPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="think">true</Filter>
                <Filter brand="idea">true</Filter>
                <Filter brand="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.Audio" version="1.0.0.0" runas="user" plugin="LenovoAudioPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">0</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoAppScenarioPluginSystem" version="1.2.168.0" location="LenovoAppScenarioPluginSystem.cab" lastModified="2017-10-30T00:13:03" customEventMonitor="" msVersion="1.2.168.0" msLocation="ms-LenovoAppScenarioPluginSystem.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.AppScenario.System" version="1.0.0.0" runas="System" plugin="LenovoAppScenarioPluginSystem" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoAppScenarioPlugin" version="1.2.180.10" location="LenovoAppScenarioPlugin.cab" lastModified="2016-12-23T17:54:47" customEventMonitor="" msVersion="1.2.180.10" msLocation="ms-LenovoAppScenarioPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.AppScenario" version="1.0.0.0" runas="User" plugin="LenovoAppScenarioPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="PowerChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>

			<PowerBroadcastEventSubscription>

				<PbtValueList>

					<PbtValue>18</PbtValue>

				</PbtValueList>

				<PowerSettingGuidList />

			</PowerBroadcastEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">0</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoAppPromotionPlugin" version="1.2.100.0" location="LenovoAppPromotionPlugin.cab" lastModified="2017-04-12T02:11:05">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.LenovoAppPromotion" version="1.0.0.0" runas="user" plugin="LenovoAppPromotionPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login">
                    <Parameter><![CDATA[  ]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="LenovoAccountPlugin" version="1.2.41.0" location="LenovoAccountPlugin.cab" lastModified="2018-02-01T02:15:45" customEventMonitor="" msVersion="1.2.41.0" msLocation="ms-LenovoAccountPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter manufacturer="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.LenovoAccount" version="1.0.0.0" runas="user" plugin="LenovoAccountPlugin" />
            </ContractMappingList>
            <SettingList>
                <Setting key="ImController.Association.Device" />
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="IdeaTouchPadPlugin" version="1.2.70.0" location="IdeaTouchPadPlugin.cab" lastModified="2017-03-01T05:41:57">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="idea" subbrand="ideapad">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter brand="idea" enclosureType="notebook">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.PointingDevice" version="1.0.0.0" runas="user" plugin="IdeaTouchPadPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.SkipSuspendTermination">1</Setting>
                <Setting key="ImController.Package.Replacement.Name">IdeaNotebookPlugin</Setting>
                <Setting key="ImController.Package.Replacement.MinimumVersion">1.2.0.0</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="IdeaPowerPlugin" version="1.2.70.0" location="IdeaPowerPlugin.cab" lastModified="2017-03-01T05:41:40">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="idea" subbrand="ideapad">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter brand="idea" enclosureType="notebook">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.BatteryStretch" version="1.0.0.0" runas="user" plugin="IdeaPowerPlugin" />
                <ContractMapping name="SystemManagement.Power" version="1.0.0.0" runas="user" plugin="IdeaPowerPlugin" />
                <ContractMapping name="SystemManagement.PowerProfile" version="1.0.0.0" runas="user" plugin="IdeaPowerPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.SkipSuspendTermination">1</Setting>
                <Setting key="ImController.Package.Replacement.Name">IdeaNotebookPlugin</Setting>
                <Setting key="ImController.Package.Replacement.MinimumVersion">1.2.0.0</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="IdeaOSDPackage" packageType="App" version="1.2.15.0" location="IdeaOSDPackage.cab" lastModified="2017-09-29T04:07:36">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="idea" subbrand="ideapad">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter brand="idea" enclosureType="notebook">true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Package.DisableUpdate" />
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="IdeaNotebookPlugin" version="1.2.63.18" location="IdeaNotebookPlugin.cab" lastModified="2017-03-09T17:43:17" msVersion="1.2.63.18" msLocation="ms-IdeaNotebookPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="idea" subbrand="ideapad">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter brand="idea" enclosureType="notebook">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.Keyboard" version="1.0.0.0" runas="user" plugin="IdeaNotebookPlugin" />
                <ContractMapping name="SystemManagement.PointingDevice" version="1.0.0.0" runas="user" plugin="IdeaNotebookPlugin" />
                <ContractMapping name="SystemInformation.Battery" version="1.0.0.0" runas="user" plugin="IdeaNotebookPlugin" />
                <ContractMapping name="SystemManagement.BatteryMgmt" version="1.0.0.0" runas="user" plugin="IdeaNotebookPlugin" />
                <ContractMapping name="SystemManagement.BatteryStretch" version="1.0.0.0" runas="user" plugin="IdeaNotebookPlugin" />
                <ContractMapping name="SystemManagement.Power" version="1.0.0.0" runas="user" plugin="IdeaNotebookPlugin" />
                <ContractMapping name="SystemManagement.PowerProfile" version="1.0.0.0" runas="user" plugin="IdeaNotebookPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Privilege.SkipSuspendTermination">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="IdeaKeyboardPlugin" version="1.2.70.0" location="IdeaKeyboardPlugin.cab" lastModified="2017-03-01T05:40:04">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="idea" subbrand="ideapad">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter brand="idea" enclosureType="notebook">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.Keyboard" version="1.0.0.0" runas="user" plugin="IdeaKeyboardPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.SkipSuspendTermination">1</Setting>
                <Setting key="ImController.Package.Replacement.Name">IdeaNotebookPlugin</Setting>
                <Setting key="ImController.Package.Replacement.MinimumVersion">1.2.0.0</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="IdeaFanPlugin" version="1.0.34.0" location="IdeaFanPlugin.cab" lastModified="2015-09-16T10:52:17">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="idea" subbrand="ideapad">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.Fan" version="1.0.0.0" runas="user" plugin="IdeaFanPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="IdeaBatteryPlugin" version="1.2.70.0" location="IdeaBatteryPlugin.cab" lastModified="2017-03-01T05:40:20">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter brand="idea" subbrand="ideapad">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter brand="idea" enclosureType="notebook">true</Filter>
                <Filter brand="lenovo" enclosureType="notebook">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemInformation.Battery" version="1.0.0.0" runas="user" plugin="IdeaBatteryPlugin" />
                <ContractMapping name="SystemManagement.BatteryMgmt" version="1.0.0.0" runas="user" plugin="IdeaBatteryPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Privilege.SkipSuspendTermination">1</Setting>
                <Setting key="ImController.Package.Replacement.Name">IdeaNotebookPlugin</Setting>
                <Setting key="ImController.Package.Replacement.MinimumVersion">1.2.0.0</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="GenericCorePlugin" version="1.2.99.0" location="GenericCorePlugin.cab" lastModified="2018-05-15T15:29:34" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemUtilities.ActiveDirectory" version="1.0.0.0" runas="user" plugin="GenericCorePlugin" />
                <ContractMapping name="SystemUtilities.AppLauncher" version="1.0.0.0" runas="user" plugin="GenericCorePlugin" />
                <ContractMapping name="SystemUtilities.FileSystem" version="1.0.0.0" runas="user" plugin="GenericCorePlugin" />
                <ContractMapping name="SystemInformation.Memory" version="1.0.0.0" runas="user" plugin="GenericCorePlugin" />
                <ContractMapping name="SystemUtilities.Registry" version="1.0.0.0" runas="user" plugin="GenericCorePlugin" />
                <ContractMapping name="SystemInformation.Storage" version="1.0.0.0" runas="user" plugin="GenericCorePlugin" />
                <ContractMapping name="SystemInformation.Machine" version="1.0.0.0" runas="user" plugin="GenericCorePlugin" />
                <ContractMapping name="SystemInformation.AppTag" version="1.0.0.0" runas="user" plugin="GenericCorePlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Device" />
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="GenericTelemetryPlugin" version="1.2.24.0" location="GenericTelemetryPlugin.cab" lastModified="2018-01-30T12:37:12" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter manufacturer="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="TimeBasedMonitor" trigger="TimeBaseChange" runas="System">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
<TimeBasedEventSubscription>
<FriendlyName>RunDailyEvent</FriendlyName>
<OOBEProximity>false</OOBEProximity>
<RandomDelay>PT3H</RandomDelay>
<RequireNetworkConnection>true</RequireNetworkConnection>
<RepeatIntervalUnit>Daily</RepeatIntervalUnit>
<RepeatInterval>1</RepeatInterval>
<StartDateTime>2016-01-31T09:00:10</StartDateTime>
</TimeBasedEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">1</Setting>
                <Setting key="Telemetry.Config.V1.BundleQuantity">20</Setting>
                <Setting key="Telemetry.Config.V1.Channel.Core"><![CDATA[{"ProviderName":"Lenovo-Sif-Core","IsEnabled":true,"DataPolicies":[{"Classification":"Device","PolicyConditions":[{"container":"HKEY_LOCAL_MACHINE\\SOFTWARE\\Lenovo\\AnonymousMetrics","disabledValue":"0","enabledValue":"1","item":"Enabled","method":"RegistryValue","type":"SystemPolicy"},{"container":"HKEY_CURRENT_USER\\Software\\Lenovo\\Metrics","disabledValue":"0","enabledValue":"1","item":"com.lenovo.companion","method":"RegistryValue","type":"UserPreference"},{"container":"HKEY_LOCAL_MACHINE\\SOFTWARE\\Policies\\Lenovo\\ImController","disabledValue":"1","enabledValue":"0","item":"DisableSystemInterfaceUsageStats","method":"RegistryValue","type":"SystemPolicy"}]}],"LudpConfig":{"GeoMap":[{"geo":"*","uri":"https:\/\/chifsr.lenovomm.com\/PCJson"}],"isEnabled":true,"productMap":[{"appKey":"DR5Q2D85DB67","logName":"imc","ludpName":"imc"},{"appKey":"DR5Q2D85DB67","logName":"lsif","ludpName":"imc"}]}}]]></Setting>
                <Setting key="Telemetry.Config.V1.Channel.Companion"><![CDATA[{"ProviderName":"Lenovo-Sif-Companion","IsEnabled":true,"DataPolicies":[{"Classification":"User","PolicyConditions":[{"container":"HKEY_CURRENT_USER\\Software\\Lenovo\\Metrics","disabledValue":"0","enabledValue":"1","item":"com.lenovo.companion","method":"RegistryValue","type":"UserPreference"},{"container":"HKEY_LOCAL_MACHINE\\Software\\Policies\\Lenovo\\E046963F.LenovoCompanion_k1h2ywk1493x8","disabledValue":"0","enabledValue":"1","item":"422FDE50-51D5-4A5B-9A44-7B19BCD03A29","method":"RegistryValue","type":"SystemPolicy"}]}],"LudpConfig":{"GeoMap":[{"geo":"*","uri":"https:\/\/chifsr.lenovomm.com\/PCJson"}],"isEnabled":true,"productMap":[{"appKey":"SW9XFRH45924","logName":"Companion","ludpName":"Companion"},{"appKey":"JCI32DET5030","logName":"LenovoCompanionAppPlugin","ludpName":"LenovoCompanionAppPlugin"},{"appKey":"JCI32DET5030","logName":"GenericMessagingPlugin","ludpName":"GenericMessagingPlugin"},{"appKey":"JCI32DET5030","logName":"GenericTelemetryPlugin","ludpName":"GenericTelemetryPlugin"},{"appKey":"JCI32DET5030","logName":"LenovoSystemUpdatePlugin","ludpName":"LenovoSystemUpdatePlugin"},{"appKey":"JCI32DET5030","logName":"ThinkMultimodeDetectPlugin","ludpName":"ThinkMultimodeDetectPlugin"},{"appKey":"JCI32DET5030","logName":"ThinkIntelligentSensingPackage","ludpName":"ThinkIntelligentSensingPackage"},{"appKey":"JCI32DET5030","logName":"GenericDisplayPlugin","ludpName":"GenericDisplayPlugin"},{"appKey":"JCI32DET5030","logName":"LenovoAudioPlugin","ludpName":"LenovoAudioPlugin"},{"appKey":"JCI32DET5030","logName":"LenovoAppScenarioPlugin","ludpName":"LenovoAppScenarioPlugin"},{"appKey":"JCI32DET5030","logName":"LenovoBatteryGaugePackage","ludpName":"LenovoBatteryGaugePackage"},{"appKey":"JCI32DET5030","logName":"LenovoWiFiSecurityPlugin ","ludpName":"LenovoWiFiSecurityPlugin "},{"appKey":"JCI32DET5030","logName":"ThinkMultimodeDetectPlugin","ludpName":"ThinkMultimodeDetectPlugin"},{"appKey":"JCI32DET5030","logName":"ThinkIntelligentSensingPackage","ludpName":"ThinkIntelligentSensingPackage"},{"appKey":"JCI32DET5030","logName":"LenovoGamingSystemPlugin","ludpName":"LenovoGamingSystemPlugin"},{"appKey":"JCI32DET5030","logName":"LenovoGamingUserPlugin","ludpName":"LenovoGamingUserPlugin"},{"appKey":"JCI32DET5030","logName":"BetterTogetherPlugin","ludpName":"BetterTogetherPlugin"}]}}]]></Setting>
                <Setting key="ImController.Association.Device" />
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="GenericNetworkPlugin" version="1.0.34.0" location="GenericNetworkPlugin.cab" lastModified="2015-09-16T10:42:42" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think">true</Filter>
                <Filter brand="idea">true</Filter>
                <Filter brand="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="GenericNetworkPlugin.RadioControl" version="1.0.0.0" runas="user" plugin="GenericNetworkPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="GenericMetricsPreferencesPlugin" version="1.2.44.0" location="GenericMetricsPreferencesPlugin.cab" lastModified="2016-11-16T02:53:13" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="MetricPreferences" version="1.0.0.0" runas="user" plugin="GenericMetricsPreferencesPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Device" />
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="GenericMessagingPlugin" version="3.1.0.84" location="GenericMessagingPlugin.cab" lastModified="2017-01-10T19:00:00" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter manufacturer="lenovo">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.Messaging" version="1.0.0.0" runas="user" plugin="GenericMessagingPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="TimeBasedMonitor" trigger="TimeBaseChange" runas="user">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
				<TimeBasedEventSubscription>
					<FriendlyName>RunDailyEvent</FriendlyName>
					<OOBEProximity>false</OOBEProximity>
					<RandomDelay>PT10H</RandomDelay>
					<RepeatIntervalUnit>Daily</RepeatIntervalUnit>
					<RepeatInterval>1</RepeatInterval>
					<StartDateTime>2016-01-31T08:00:15</StartDateTime>
				</TimeBasedEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login">
                    <Parameter><![CDATA[]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="PowerChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			<PowerBroadcastEventSubscription>
				<PbtValueList>
					<PbtValue>18</PbtValue>
				</PbtValueList>
				<PowerSettingGuidList />
			</PowerBroadcastEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="SessionChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			<SessionChangeEventSubscription>
				<WtsSessionValueList>
					<WtsSessionValue>8</WtsSessionValue>
				</WtsSessionValueList>
			</SessionChangeEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">1</Setting>
                <Setting key="GenericMessagingPlugin.Notifications.SLRecs">true</Setting>
                <Setting key="GenericMessagingPlugin.Notifications.SLRecs" brand="think">false</Setting>
                <Setting key="GenericMessagingPlugin.SLRecsUITemplate">070BB808-C880-4ADF-B587-2E80B6B24384|bsvar1|1</Setting>
                <Setting key="GenericMessagingPlugin.SLRecsUITemplate">6EF1E2EA-680E-4638-9E39-83A0C89D99B3|bsvar2|1</Setting>
                <Setting key="ImController.Association.Device" />
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="GenericLocationProfilePlugin" version="1.2.176.0" location="GenericLocationProfilePlugin.cab" lastModified="2017-01-12T23:01:00" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.LocationProfile" version="1.0.0.0" runas="user" plugin="GenericLocationProfilePlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="GenericLocationDetectPlugin" version="1.2.182.0" location="GenericLocationDetectPlugin.cab" lastModified="2017-01-17T02:32:52" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
            </ContractMappingList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">0</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
            <EventSubscriptionList>
                <EventSubscription monitor="NetworkMonitor" trigger="NetworkStatusChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			  <NetworkEventSubscription>
			  <NetworkAddressChange>true</NetworkAddressChange>
			  <InternetConnectivityChanged>true</InternetConnectivityChanged>
			  </NetworkEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="SessionChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
                        	<SessionChangeEventSubscription>
                                	<WtsSessionValueList>
                                        	<WtsSessionValue>1</WtsSessionValue>
                                              	<WtsSessionValue>5</WtsSessionValue>
                                  	</WtsSessionValueList>
                          	</SessionChangeEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="ImControllerServiceEventMonitor" trigger="imc-startup">
                    <Parameter><![CDATA[  ]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="PowerChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			  <PowerBroadcastEventSubscription>
				<PbtValueList>
					<PbtValue>18</PbtValue>
				</PbtValueList>
				<PowerSettingGuidList />
			  </PowerBroadcastEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			  <RegistryEventSubscription>
				<RegistryHiveName>HKEY_CURRENT_USER</RegistryHiveName>
				<KeyPath>Software\Microsoft\Windows NT\CurrentVersion\Windows</KeyPath>
				<ValueName>Device</ValueName>
			  </RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			  <RegistryEventSubscription>
				<RegistryHiveName>HKEY_CURRENT_USER</RegistryHiveName>
				<KeyPath>SOFTWARE\Classes\Local Settings\Software\Microsoft\Windows\CurrentVersion\AppContainer\Storage\microsoft.microsoftedge_8wekyb3d8bbwe\MicrosoftEdge\Main</KeyPath>
				<ValueName>HomeButtonPage</ValueName>
			  </RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="RegistryMonitor" trigger="RegistryChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			  <RegistryEventSubscription>
				<RegistryHiveName>HKEY_CURRENT_USER</RegistryHiveName>
				<KeyPath>Software\Lenovo\ImController\PluginData\LenovoPaperDisplayPlugin</KeyPath>
				<ValueName>UserSelectedMode</ValueName>
			  </RegistryEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
        </Package>
        <Package>
            <PackageInformation name="GenericDisplayPlugin" version="1.2.178.37" location="GenericDisplayPlugin.cab" lastModified="2016-12-19T14:49:13" customEventMonitor="" msVersion="1.2.178.37" msLocation="ms-GenericDisplayPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.Display" version="1.0.0.0" runas="user" plugin="GenericDisplayPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="WindowMessageMonitor" trigger="SessionChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
                        	<SessionChangeEventSubscription>
                                	<WtsSessionValueList>
                       <WtsSessionValue>1</WtsSessionValue>
                                              	<WtsSessionValue>5</WtsSessionValue>
                 	<WtsSessionValue>7</WtsSessionValue>
                                              	<WtsSessionValue>8</WtsSessionValue>
                                  	</WtsSessionValueList>
                          	</SessionChangeEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="PowerChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>
			<PowerBroadcastEventSubscription>
				<PbtValueList>
					<PbtValue>18</PbtValue>
				</PbtValueList>
				<PowerSettingGuidList />
			</PowerBroadcastEventSubscription>]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="DeviceChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>

			<DeviceChangeEventSubscription>
				<DevInterfaceClassGuidList>

					<DevInterfaceClassGuid>E6F07B5F-EE97-4a90-B076-33F57BF4EAA7</DevInterfaceClassGuid>

				</DevInterfaceClassGuidList>

			</DeviceChangeEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Privilege.ReceiveEvents">0</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="GenericBatteryInformationPlugin" version="1.0.34.0" location="GenericBatteryInformationPlugin.cab" lastModified="2015-09-16T10:38:52" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemInformation.Battery" version="1.0.0.0" runas="user" plugin="GenericBatteryInformationPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="GenericActiveDirectoryPlugin" version="1.2.26.0" location="GenericActiveDirectoryPlugin.cab" lastModified="2016-07-14T17:22:59" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemUtilities.ActiveDirectory" version="1.0.0.0" runas="user" plugin="GenericActiveDirectoryPlugin" />
            </ContractMappingList>
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Association.Device" />
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="DolbyDAXPackage" packageType="App" version="1.2.103.0" location="DolbyDAXPackage.cab" lastModified="2017-10-24T04:16:26">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Package.DisableUpdate" />
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="DolbyDAX2Package" packageType="App" version="1.2.81.0" location="DolbyDAX2Package.cab" lastModified="2017-11-01T09:00:00">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Package.DisableUpdate" />
                <Setting key="ImController.Package.Replacement.Name">DolbyDAXPackage</Setting>
                <Setting key="ImController.Package.Replacement.MinimumVersion">1.2.90.0</Setting>
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="DolbyAudioPlugin" version="1.2.233.7" location="DolbyAudioPlugin.cab" lastModified="2018-01-15T05:44:22" msVersion="1.2.233.7" msLocation="ms-DolbyAudioPlugin.cab">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter>true</Filter>
            </ApplicabilityFilter>
            <ContractMappingList>
                <ContractMapping name="SystemManagement.AudioProfile" version="1.0.0.0" runas="user" plugin="DolbyAudioPlugin" />
            </ContractMappingList>
            <EventSubscriptionList>
                <EventSubscription monitor="SystemEventMonitor" trigger="User-Login">
                    <Parameter><![CDATA[ ]]></Parameter>
                </EventSubscription>
                <EventSubscription monitor="WindowMessageMonitor" trigger="PowerChange">
                    <Parameter><![CDATA[<?xml version="1.0" encoding="utf-16"?>

			<PowerBroadcastEventSubscription>

				<PbtValueList>

					<PbtValue>18</PbtValue>

				</PbtValueList>

				<PowerSettingGuidList />

			</PowerBroadcastEventSubscription>]]></Parameter>
                </EventSubscription>
            </EventSubscriptionList>
            <SettingList>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap" appversion="4.0.0.0">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ChromaTunePackage" packageType="App" version="1.2.312.0" location="ChromaTunePackage.cab" lastModified="2018-10-22T22:21:37" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think" family="thinkpad x1 carbon 4th">true</Filter>
                <Filter brand="think" family="thinkpad x1 yoga*">true</Filter>
                <Filter brand="think" family="thinkpad e560p">true</Filter>
                <Filter brand="think" family="thinkpad s5">true</Filter>
                <Filter brand="think" family="thinkpad s5 2nd gen">true</Filter>
                <Filter brand="think" family="thinkpad x1 carbon 6th">true</Filter>
                <Filter brand="think" family="thinkpad x1 extreme">true</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Package.UpdateRequiresReboot" />
                <Setting key="ImController.Package.InstallRequiresReboot" />
                <Setting key="ImController.Association.Uap">E046963F.LenovoCompanion_k1h2ywk1493x8</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
                <Setting key="ImController.Association.Uap">E046963F.LenovoSettingsforEnterprise_k1h2ywk1493x8</Setting>
            </SettingList>
        </Package>
        <Package>
            <PackageInformation name="ActivePenLowBatteryNotifierPackage" packageType="App" version="1.2.163.0" location="ActivePenLowBatteryNotifierPackage.cab" lastModified="2017-12-06T00:41:16" customEventMonitor="">
            </PackageInformation>
            <ApplicabilityFilter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter tag="System.IsMsCiRequired">false</Filter>
                <Filter brand="think">false</Filter>
                <Filter brand="idea">false</Filter>
                <Filter brand="lenovo">false</Filter>
                <Filter>false</Filter>
            </ApplicabilityFilter>
            <ContractMappingList />
            <EventSubscriptionList />
            <SettingList>
                <Setting key="ImController.Privilege.CustomInstall">1</Setting>
                <Setting key="ImController.Association.Uap">LenovoCorporation.LenovoSettings_4642shxvsv8s2</Setting>
            </SettingList>
        </Package>
    </PackageList>
<Signature xmlns="http://www.w3.org/2000/09/xmldsig#"><SignedInfo><CanonicalizationMethod Algorithm="http://www.w3.org/TR/2001/REC-xml-c14n-20010315" /><SignatureMethod Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1" /><Reference URI=""><Transforms><Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature" /><Transform Algorithm="http://www.w3.org/TR/2001/REC-xml-c14n-20010315" /></Transforms><DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1" /><DigestValue>OyzokNvKLX9NFABLT5B3yEWtKNM=</DigestValue></Reference></SignedInfo><SignatureValue>Cl+mzPP48UQNx0R9a3FMiQ0aqQtYPK/g92yUVHRiZsC5rWfU8saRh3PIRwwEnaYPf3KI5VrsKDQTmDc+Ogqo/82tWxdFiNphkPHzMojZIXJCqCnXI2T7QAenGGgxmbR1BXv8ogpTihq54W2ooISDbvyyQa2fCCpw+RXowQnywfLuyB4d/iiXRi1yKDml4F+QmC9E/QYB0upJaU8fHy2FA45kk8TxCpH5mMrFfd6yS3kFkqWVCVvDINTSs9oWJbRj0NyQoeZM1on6ocik5Hj+swNqpCYacPX14yKGczOvDDx7qbUTDtBV4nWLeknTTnkdGd0TxXvvd6PriIpRB+c4ig==</SignatureValue><KeyInfo><X509Data><X509Certificate> </X509Certificate></X509Data></KeyInfo></Signature></ImControllerSubscription>
